Bug 210831 - Can't install "/" on non-primary partition
Can't install "/" on non-primary partition
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-10-15 19:27 EDT by Dave
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:29:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave 2006-10-15 19:27:08 EDT
Description of problem:
Won't allow an install on hda10 - returns an error of "Not enough space left to
create partition for /."

Version-Release number of selected component (if applicable):
FC6 Test3 (v5.92).

How reproducible:

Steps to Reproduce:
1. Start with an hda with existing partitions (hda1-hda9).
2. Boot FC6 CD and take install defaults.
3. Choose "Install Fedora Core" instead of upgrade.
4. Choose "Create Custom Layout" for partitioning choices.
5. Choose [new] partition.
6. Choose a mount point of "/".
7. Choose a size of 10000 mb.
8. Choose [ok].
Actual results:
[Error Partitioning]
Could not allocate requested partitions: Partitioning failed:
Could not allocate partitions as primary partitions.
Not enough space left to create partition for /.

Expected results:
Should allow installation on hda10 as other versions have.

Additional info:
fdisk /dev/hda shows I have plenty of room to create an hda10 partition:

Disk /dev/hda: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1               1         127     1020096   83  Linux
/dev/hda2   *         128        2677    20482875    c  W95 FAT32 (LBA)
/dev/hda3            2678        3952    10241437+   c  W95 FAT32 (LBA)
/dev/hda4            3953        9591    45295267+   5  Extended
/dev/hda5            3953        6502    20482843+  83  Linux
/dev/hda6            6503        7012     4096543+  82  Linux swap / Solaris
/dev/hda7            7013        8317    10482381   83  Linux
/dev/hda8            8318        8954     5116671   83  Linux
/dev/hda9            8955        9591     5116671   83  Linux
Comment 1 Dave 2006-10-15 22:30:56 EDT
After looking closer at the fdisk output, I see that I did not have any room in
my extended partition to create hda10.  The error message I received, "Could not
allocate partitions as primary partitions" was misleading and led me down the
wrong road.  I suggest that error message to be changed to remove the word
Comment 2 David Cantrell 2007-03-15 17:42:07 EDT
Does this still happen with rawhide or a Fedora 7 test release?
Comment 3 Matthew Miller 2007-04-06 15:49:07 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Bug Zapper 2008-04-03 23:59:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:28:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.